%global _empty_manifest_terminate_build 0
Name:           python-jaraco-functools
Version:        3.0.1
Release:        2
Summary:        Functools like those found in stdlib
License:        MIT
URL:            https://pypi.org/project/jaraco.functools/
Source0:        https://files.pythonhosted.org/packages/89/e1/773ecbf42ada8dc31459837c76316478df975cf6d9fcc171075548bd7cac/jaraco.functools-3.0.1.tar.gz
BuildArch:      noarch
Recommends:     %{name}-help = %{version}-%{release}

Requires:       python3-more-itertools
Requires:       python3-sphinx
Requires:       python3-pytest
Requires:       python3-pytest-checkdocs
Requires:       python3-pytest-flake8
Requires:       python3-pytest-black
Requires:       python3-pytest-cov
Requires:       python3-toml

%description
Functools like those found in stdlib

%package -n python3-jaraco-functools
Summary:        Functools like those found in stdlib
Provides:       python-jaraco-functools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
%description -n python3-jaraco-functools
Functools like those found in stdlib

%package help
Summary:        Development documents and examples for jaraco.functools
Provides:       python3-jaraco-functools-doc
%description help
Documentation for jaraco-functools

%prep
%autosetup -n jaraco.functools-3.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jaraco-functools -f filelist.lst
%exclude %{python3_sitelib}/jaraco/__init__*
%exclude %{python3_sitelib}/jaraco/__pycache__/__init__*
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/jaraco/__pycache__/functools*
%{python3_sitelib}/jaraco.functools-%{version}-py?.?.egg-info

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Dec 24 2020 zhanghua <zhanghua40@huawei.com> - 3.0.1-2
- fix random build failed

* Fri Nov 13 2020 Python_Bot <Python_Bot@openeuler.org> - 3.0.1-1
- Package Spec generated
